libextractor3_1.3-2+b1_amd64.deb


Advertisement

Description

libextractor3 - extracts meta-data from files of arbitrary type (library)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libextractor3
Package version 1.3
Package release 2+b1
Package architecture amd64
Package type deb
Installed size 479 B
Download size 109.45 KB
Official Mirror ftp.br.debian.org
GNU libextractor provides developers of file-sharing networks, file managers,
and WWW-indexing bots with a universal library to obtain meta-data about files.
Currently, libextractor supports the following formats: HTML, PDF, PS, OLE2
(DOC, XLS, PPT), OpenOffice (sxw), StarOffice (sdw), DVI, MAN, MKV, MP3 (ID3v1
and ID3v2), OGG, WAV, EXIV2, JPEG, GIF, PNG, TIFF, DEB, RPM, TAR(.GZ), ZIP,
ELF, REAL, RIFF (AVI), MPEG, QT and ASF.
Also, various additional MIME types are detected. It can also be used to
compute hash functions (SHA-1, MD5, ripemd160).
This package contains the library and all plugins.

Alternatives

Package Version Architecture Repository
libextractor3_1.3-2+b1_i386.deb 1.3 i386 Debian Main
libextractor3 - - -

Requires

Name Value
libarchive13 -
libatk1.0-0 >= 1.12.4
libavcodec-extra-56 >= 6:11
libavcodec56 >= 6:11~beta1
libavformat56 >= 6:11~beta1
libavresample2 >= 6:11~beta1
libavutil54 >= 6:11~beta1
libbz2-1.0 -
libc6 >= 2.15
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.2.4
libexiv2-13 -
libflac8 >= 1.3.0
libgcc1 >= 1:4.1.1
libgdk-pixbuf2.0-0 >= 2.22.0
libgif4 >= 4.1.4
libglib2.0-0 >= 2.16.0
libgsf-1-114 >= 1.14.8
libgstreamer-plugins-base1.0-0 >= 1.0.0
libgstreamer1.0-0 >= 1.4.0
libgtk-3-0 >= 3.0.0
libjpeg62-turbo >= 1:1.3.1
libltdl7 >= 2.4.2
libmagic1 >= 5.12
libmpeg2-4 -
libogg0 >= 1.0rc3
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
librpm3 >= 4.10.0
libsmf0 >= 1.3
libstdc++6 >= 4.2.1
libswscale3 >= 6:11~beta1
libtidy-0.99-0 -
libtiff5 >= 4.0.3
libvorbis0a >= 1.1.2
libvorbisfile3 >= 1.1.2
libxml2 >= 2.6.27
multiarch-support -
zlib1g >= 1:1.1.4

Conflicts

Name Value
libextractor1c2a -

Replaces

Name Value
libextractor-plugins << 1:1.0.1-1
libextractor1c2a -

Download

Type URL
Binary Package libextractor3_1.3-2+b1_amd64.deb
Source Package libextractor

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libextractor3 deb package:
    # sudo apt-get install libextractor3

Files

Path
/usr/lib/x86_64-linux-gnu/libextractor.so.3
/usr/lib/x86_64-linux-gnu/libextractor.so.3.1.3
/usr/lib/x86_64-linux-gnu/libextractor_common.so.1
/usr/lib/x86_64-linux-gnu/libextractor_common.so.1.0.0
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_archive.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_deb.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_dvi.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_exiv2.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_flac.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_gif.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_gstreamer.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_html.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_it.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_jpeg.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_man.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_midi.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_mime.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_mpeg.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_nsf.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_nsfe.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_odf.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_ogg.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_ole2.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_png.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_previewopus.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_ps.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_riff.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_rpm.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_s3m.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_sid.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_thumbnailffmpeg.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_thumbnailgtk.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_tiff.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_wav.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_xm.so
/usr/lib/x86_64-linux-gnu/libextractor/libextractor_zip.so
/usr/share/doc/libextractor3/AUTHORS
/usr/share/doc/libextractor3/NEWS.gz
/usr/share/doc/libextractor3/README
/usr/share/doc/libextractor3/TODO
/usr/share/doc/libextractor3/changelog.Debian.amd64.gz
/usr/share/doc/libextractor3/changelog.Debian.gz
/usr/share/doc/libextractor3/changelog.gz
/usr/share/doc/libextractor3/copyright

Changelog

2014-09-30 - Bertrand Marc <beberking@gmail.com>
libextractor (1:1.3-2) unstable; urgency=medium
* Build-depend on libmagic-dev and libavresample-dev to enable additional
plugins, thanks to Andreas Cadhalpun and update libexctractor3.symbols
accordingly (Closes: #755810).
* Build-depend on libjpeg-dev instead of libjpeg8-dev, thanks to Ondřej Surý
(Closes: #763478).
2014-01-19 - Bertrand Marc <beberking@gmail.com>
libextractor (1:1.3-1) unstable; urgency=medium
* Make uscan check the archive signature:
+ add the upstream key to debian/upstream-signing-key.pgp.
+ add the binary key to debian/source/include-binaries.
+ add pgpsigurlmangle to debian/watch.
* Imported Upstream version 1.3.
* Standards version 3.9.5:
+ remove dependency on dpkg (>= 1.15.4) | install-info.
* Build-depend on libtiff-dev instead of libtiff4-dev (Closes: #736021).
* Add a missing build-dependency on texinfo.
2013-10-28 - Bertrand Marc <beberking@gmail.com>
libextractor (1:1.2-1) unstable; urgency=low
* Imported Upstream version 1.2
2013-07-13 - Bertrand Marc <beberking@gmail.com>
libextractor (1:1.1-1) unstable; urgency=low
* Imported Upstream version 1.1 (Closes: #690095).
* Move the git repository to collab-maint.
* Remove the underscore_in_plugin_path patch, included upstream.
* debian/control: Update build dependencies according to README.
* debian/rules: remove override_dh_configure to enable all plugins.
* Merge libextractor and libextractor-plugins. Keeping them separated is
difficult to maintain and does not worth it.
* debian/rules: remove .a files.
* debian/rules: remove useless override_dh_builddeb.
* debian/control: remove duplicate section field.
* Add a symbols file for libextractor3.
* Remove useless debian/source/options.
* Standards version 3.9.4.
* debian/copyright: the licence is now GPL-3+, update years.
2012-06-23 - Bertrand Marc <beberking@gmail.com>
libextractor (1:0.6.3-5) unstable; urgency=low
* debian/control: add Vcs-Git and Vcs-browser fields.
* Switch the libpoppler-dev build dependency to libpoppler-private-dev
(Closes: #673304).
* Include a patch to load plugins from path with underscore, thanks to Harun
Trefry (Closes: #675063).
2012-03-17 - Bertrand Marc <beberking@gmail.com>
libextractor (1:0.6.3-4) unstable; urgency=low
* New maintainer (Closes: #660442).
* Upload to unstable.
* Hardened build flags are enabled with dh v9 (Closes: #656780).
* Standards version 3.9.3.
* Add a dependency on dpkg (>= 1.15.4) | install-info for extract,
see Policy section 12.2.
* Add debian/watch.
* Move to autoreconf:
+ build-depends on autoconf, automake, autopoint, dh-autoreconf.
+ debian/rules: use dh --with autoreconf.
2012-02-19 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor (1:0.6.3-3) experimental; urgency=low
* Orphaning package.
2012-02-15 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor (1:0.6.3-2) experimental; urgency=low
* Updating package to debhelper version 9.
* Updating years in copyright file.
2011-11-29 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor (1:0.6.3-1) experimental; urgency=low
* Updating homepage field.
* Using compression level 9 also for binary packages.
* Merging upstream version 0.6.3.
* Updating packaging for mkv plugin addition.

See Also

Package Description
libexttextcat-2.0-0_3.4.4-1_amd64.deb Language detection library
libexttextcat-data_3.4.4-1_all.deb Language detection library - data files
libexttextcat-dev_3.4.4-1_amd64.deb Language detection library - development files
libextunix-ocaml-dev_0.1.0-1_amd64.deb Extended functions for OCaml Unix module (development package)
libextunix-ocaml_0.1.0-1_amd64.deb Extended functions for OCaml Unix module (runtime package)
libextutils-autoinstall-perl_0.63-3_all.deb module to automatically install dependencies via CPAN
libextutils-cbuilder-perl_0.280220-1_all.deb module to compile and link C code for Perl modules
libextutils-cchecker-perl_0.09-1_all.deb helper module for handling C headers and libraries
libextutils-config-perl_0.008-1_all.deb wrapper around Perl's configuration hash
libextutils-cppguess-perl_0.7-1_all.deb Perl build helper to guess C++ compiler and flags
libextutils-depends-perl_0.402-1_all.deb Perl module for building extensions that depend on other extensions
libextutils-f77-perl_1.17-1_all.deb module to compile and link FORTRAN 77 code for Perl modules
libextutils-helpers-perl_0.022-1_all.deb various portability utilities for module builders
libextutils-installpaths-perl_0.010-1_all.deb module to make Build.PL install path logic easy
libextutils-libbuilder-perl_0.06-1_all.deb Perl module to compile standard, self-contained C libraries
Advertisement
Advertisement